> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kodostatus.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Heartbeat Status

> Get the current status of a heartbeat monitor

<Note>
  This endpoint requires API key authentication via the `X-API-Key` or `Authorization: Bearer` header.
</Note>

## Path Parameters

<ParamField path="monitorId" type="string" required>
  The heartbeat monitor ID
</ParamField>

## Response

<ResponseField name="status" type="string">
  Current status: `up`, `down`, `degraded`
</ResponseField>

<ResponseField name="last_ping" type="string">
  ISO 8601 timestamp of last heartbeat
</ResponseField>

<ResponseField name="expected_interval_seconds" type="integer">
  Expected interval between heartbeats
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl "https://kodostatus.com/api/heartbeat/hb_abc123" \
    -H "X-API-Key: your_api_key"
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "status": "up",
    "last_ping": "2024-01-15T10:30:00Z",
    "expected_interval_seconds": 300
  }
  ```
</ResponseExample>
